=== debian/control ===
Source: ros-iron-rtabmap-conversions
Section: misc
Priority: optional
Maintainer: Mathieu Labbe <matlabbe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-cv-bridge, ros-iron-geometry-msgs, ros-iron-image-geometry, ros-iron-laser-geometry, ros-iron-pcl-conversions, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-ros-environment, ros-iron-rtabmap, ros-iron-rtabmap-msgs, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rtabmap-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-cv-bridge, ros-iron-geometry-msgs, ros-iron-image-geometry, ros-iron-laser-geometry, ros-iron-pcl-conversions, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-rtabmap, ros-iron-rtabmap-msgs, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-ros-workspace
Description: RTAB-Map's conversions package.
 This package can be used to convert rtabmap_msgs's msgs into RTAB-Map's library objects.
